package userinterface;


import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 * ColorListener class works with PixelPanel to listen to mouse clicks in the panel, to change
 * the tile type according to the type that is set.
 * 
 * Solution from https://stackoverflow.com/questions/30356545/java-creating-a-jframe-using-gridlayout-with-mouse-interactive-jpanels
 * Added link to GUI object.
 * @author F. van Slooten
 *
 */
public class ColorListener extends MouseAdapter {

    private PixelPanel panel;
    private Userinterface gui;

    /**
     * Construct object using reference to panel and userinterface.
     * @param panel
     * @param ui
     */
    public ColorListener(PixelPanel panel, Userinterface ui) {
    	gui = ui;
        this.panel = panel;
    }

    @Override
    public void mousePressed(MouseEvent event) {
    	
        if (event.getButton() == MouseEvent.BUTTON1) {
        	String tileType = gui.getTileType();
            if (tileType=="Start")
            	gui.setStart(panel);
            else if (tileType=="Destination")
            	gui.setDestination(panel);
            else
            	gui.setWalkable(panel, false);
            
        } else if (event.getButton() == MouseEvent.BUTTON3) {
            gui.setWalkable(panel, true);  
        }
    }
}
